Skip to main content

LandmarkGeocodeResponse

Result of GET /v2/landmarks/geocode.

querystring

Echo of the q parameter, if supplied.

Example: kaneshie market
anchor object

The landmark an anchor name resolved to. Present only for anchored-by-name searches.

idinteger<int64>
Example: 142
slugstring
Example: kaneshie-market
namestring
Example: Kaneshie Market
name_localstring
kindstring
Example: market
region_codestring
Example: GH-AA
sourcestring
Example: osm
confidenceinteger

Possible values: >= 0 and <= 100

Example: 100
centroid object
lngnumber<double>
Example: -0.2335
latnumber<double>
Example: 5.5641
distance_minteger

Metres from the anchor point (anchored searches only).

Example: 120
scorenumber<double>

Trigram name similarity 0–1 (name searches only).

Example: 0.83
matches object[]
  • Array [
  • idinteger<int64>
    Example: 142
    slugstring
    Example: kaneshie-market
    namestring
    Example: Kaneshie Market
    name_localstring
    kindstring
    Example: market
    region_codestring
    Example: GH-AA
    sourcestring
    Example: osm
    confidenceinteger

    Possible values: >= 0 and <= 100

    Example: 100
    centroid object
    lngnumber<double>
    Example: -0.2335
    latnumber<double>
    Example: 5.5641
    distance_minteger

    Metres from the anchor point (anchored searches only).

    Example: 120
    scorenumber<double>

    Trigram name similarity 0–1 (name searches only).

    Example: 0.83
  • ]
  • countinteger
    Example: 3
    LandmarkGeocodeResponse
    {
    "query": "kaneshie market",
    "anchor": {
    "id": 142,
    "slug": "kaneshie-market",
    "name": "Kaneshie Market",
    "name_local": "string",
    "kind": "market",
    "region_code": "GH-AA",
    "source": "osm",
    "confidence": 100,
    "centroid": {
    "lng": -0.2335,
    "lat": 5.5641
    },
    "distance_m": 120,
    "score": 0.83
    },
    "matches": [
    {
    "id": 142,
    "slug": "kaneshie-market",
    "name": "Kaneshie Market",
    "name_local": "string",
    "kind": "market",
    "region_code": "GH-AA",
    "source": "osm",
    "confidence": 100,
    "centroid": {
    "lng": -0.2335,
    "lat": 5.5641
    },
    "distance_m": 120,
    "score": 0.83
    }
    ],
    "count": 3
    }